Subject: RE: RPM installer (was Re: SETUP WIZARD FOR CYGWIN?XFREE86)
From: Bernard Dautrevaux <[email-masked]>
To: "'Dario Alcocer'" <[email-masked]>, [email-masked]
Cc: Bernard Dautrevaux <[email-masked]>
Date: Fri, 27 Jul 2001 11:40:46 +0200

> -----Original Message-----
> From: Dario Alcocer [mailto:[email-masked]]
> Sent: Wednesday, July 25, 2001 11:08 PM
> To: [email-masked]
> Cc: Bernard Dautrevaux
> Subject: RE: RPM installer (was Re: SETUP WIZARD FOR CYGWIN?XFREE86)
> 
> 
> >>>>> "Bernard" == Bernard Dautrevaux 
> <[email-masked]> writes:
> 
>     Bernard> Or as the installer user interface is tcl/tk-based, you
>     Bernard> can look at FreeWrap
>     Bernard> 
> (http://home.nycap.rr.com/dlabelle/freewrap/freewrap.html). Its
>     Bernard> neat and works quite well; moreover the tcl/tk installer
>     Bernard> in this case do not NEED cygwin, so can unpack the basic
>     Bernard> bootstrap environment without any problem).
> 
> Yes, I guess this would work as well.  However, the main reason I
> didn't want eliminate the Cygwin DLL was that I wanted to use ash to
> run the RPM package post-install/pre-uninstall scripts with it.  I
> guess I could find a Win32 Bourne-compatible shell that didn't require
> Cygwin to replace ash, but that would still leave me looking for
> Win32-only ports of the other utilities that might be required by the
> scripts (e.g. awk, sed, cut, paste etc.)

I was not suggesting suppressing the cygwin1.dll, sh, etc... Just mentionned
that using FreeWrap you can get a self-contained executable that will
execute your TCL installer. This installer can then "extract" all the files
you need from the FreeWrapped executable. 

You can then wrap 
	The non-cygwin wish provided with FreeWrap
	Your TCL installer
	cygwin1.dll
	ash, awk, sed, cut, paste...
In one exe which will (under tcl control) create a temporary directory,
place cygwin1.dll et al. in it and then use this as your execution
environment for your installation. When installation is finished you then
can just remove this directory for cleaning this environment.
	
> 
> In the end, it just seemed simpler that, rather than trying to avoid
> including Cygwin in the installer (and miss out on all that
> functionality), I should instead find a way to use cygwin1.dll and
> avoid the pitfalls instead.  I decided on a two-stage install process;
> the first stage would check for a duplicate cygwin1.dll loaded in
> memory (and abort with a message if one was found), and the second
> stage would be the actual Tcl/Tk installer.

This first stage can in fact be done by the beginning of a FreeWrapped tcl
script. I think you should really look at what FreeWrap can do: it will not
just wrap a tcl script, but also all the needed auxiliary text or binary
files you need.

HTH,

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/